Name:           pinnwand
Version:        1.4.0
Release:        1%{?dist}
Summary:        Straightforward pastebin software

License:        MIT
URL:            https://github.com/supakeen/pinnwand
Source:         %{url}/archive/refs/tags/v%{version}.tar.gz
Patch:          standardize_systemd_unit.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
pinnwand is Python pastebin software that tried to keep it simple but got a
little more complex
}

%description %_description

%prep
%autosetup -p 1 -n pinnwand-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pinnwand

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/systemd
cp -a etc/systemd/pinnwand.service-example %{buildroot}%{_sysconfdir}/systemd/%{name}.service
cp -a etc/pinnwand.toml-example %{buildroot}%{_sysconfdir}/%{name}/%{name}.toml

%check
%pytest

%files -f %{pyproject_files}
%{_bindir}/%{name}
%{_sysconfdir}/systemd/%{name}.service

%doc README.md
%license LICENSE

%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.toml

%changelog
* Thu Aug 03 2023 Neil Hanlon <neil@shrug.pw> - 1.4.0-1
- Update to 1.4.0

* Sun Feb 20 2022 supakeen <cmdr@supakeen.com> - 1.3.2-1
- Initial version of the package.
